Autocomplete
curl --request GET \
--url https://scrapebadger.com/v1/wallapop/autocomplete \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/wallapop/autocomplete"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/wallapop/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/wallapop/autocomplete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/wallapop/autocomplete"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/wallapop/autocomplete")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/wallapop/autocomplete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"query": "<string>",
"suggestions": [
{
"text": "<string>",
"subtitle": {},
"type": {}
}
],
"market": "<string>"
}Reference
Autocomplete
Wallapop’s search-box suggestions for a partial query, in Spain, Italy, or Portugal.
GET
/
v1
/
wallapop
/
autocomplete
Autocomplete
curl --request GET \
--url https://scrapebadger.com/v1/wallapop/autocomplete \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/wallapop/autocomplete"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/wallapop/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/wallapop/autocomplete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/wallapop/autocomplete"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/wallapop/autocomplete")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/wallapop/autocomplete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"query": "<string>",
"suggestions": [
{
"text": "<string>",
"subtitle": {},
"type": {}
}
],
"market": "<string>"
}The suggestions Wallapop shows under its search box as you type.
Credits: 1. Empty results are not charged.
Authorization
string
required
Your ScrapeBadger API key.
Query Parameters
string
required
Partial search text, at least 1 character, e.g.
bici.string
default:"es"
es, it, or pt. Suggestions come from that market’s capital and language. See /v1/wallapop/markets.Response
string
Echo of the requested query.
Suggestion[]
string
The market used for the request.
Example
curl "https://scrapebadger.com/v1/wallapop/autocomplete?query=bici&market=es" \
-H "X-API-Key: YOUR_API_KEY"
import requests
res = requests.get(
"https://scrapebadger.com/v1/wallapop/autocomplete",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"query": "bici", "market": "es"},
)
data = res.json()
const res = await fetch(
"https://scrapebadger.com/v1/wallapop/autocomplete?" +
new URLSearchParams({ query: "bici", market: "es" }),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
scrapebadger wallapop autocomplete "bici" --market es
Response
{
"query": "bici",
"suggestions": [
{ "text": "bicicleta look", "subtitle": null, "type": "regular" },
{ "text": "bicis", "subtitle": null, "type": "regular" },
{ "text": "bicicleta niños", "subtitle": null, "type": "regular" },
{ "text": "bicicletas montaña", "subtitle": null, "type": "regular" },
{ "text": "bici montaña", "subtitle": null, "type": "regular" }
],
"market": "es"
}
Each autocomplete request costs 1 credit. Empty results and failed requests are not charged.

